Edit the given expense transaction.
curl --request PUT \
--url https://api.example.com/api/expenses/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"referenceNo": "INV-123456",
"paymentDate": "2021-01-01",
"paymentAccountId": 1,
"description": "This is a description",
"exchangeRate": 1,
"currencyCode": "USD",
"publish": true,
"payeeId": 1,
"branchId": 1,
"categories": [
{
"index": 1,
"expenseAccountId": 1,
"amount": 100,
"description": "This is a description",
"landedCost": true,
"projectId": 1
}
],
"attachments": [
{
"key": "123456"
}
]
}
'import requests
url = "https://api.example.com/api/expenses/{id}"
payload = {
"referenceNo": "INV-123456",
"paymentDate": "2021-01-01",
"paymentAccountId": 1,
"description": "This is a description",
"exchangeRate": 1,
"currencyCode": "USD",
"publish": True,
"payeeId": 1,
"branchId": 1,
"categories": [
{
"index": 1,
"expenseAccountId": 1,
"amount": 100,
"description": "This is a description",
"landedCost": True,
"projectId": 1
}
],
"attachments": [{ "key": "123456" }]
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
referenceNo: 'INV-123456',
paymentDate: '2021-01-01',
paymentAccountId: 1,
description: 'This is a description',
exchangeRate: 1,
currencyCode: 'USD',
publish: true,
payeeId: 1,
branchId: 1,
categories: [
{
index: 1,
expenseAccountId: 1,
amount: 100,
description: 'This is a description',
landedCost: true,
projectId: 1
}
],
attachments: [{key: '123456'}]
})
};
fetch('https://api.example.com/api/expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Expenses
Edit the given expense transaction.
PUT
/
api
/
expenses
/
{id}
Edit the given expense transaction.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Body
application/json
The reference number of the expense
Example:
"INV-123456"
The payment date of the expense
Example:
"2021-01-01"
The payment account id of the expense
Example:
1
The description of the expense
Example:
"This is a description"
The exchange rate of the expense
Example:
1
The currency code of the expense
Example:
"USD"
The publish status of the expense
Example:
true
The payee id of the expense
Example:
1
The branch id of the expense
Example:
1
The categories of the expense
Example:
[
{
"index": 1,
"expenseAccountId": 1,
"amount": 100,
"description": "This is a description",
"landedCost": true,
"projectId": 1
}
]
The attachments of the expense
Example:
[{ "key": "123456" }]
Response
200 - undefined
⌘I